
Foreman - Bug #8014

Inconsistent display for "Any context" in Context Selector UI

10/21/2014 11:33 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1154387 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1872

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1154387

Description of problem:

When you set the Organization to "Any Organizatoin" and the locatin to  "Any Location" the title of the Menu Drop Down changes to

"Any Context".  This is inconsistent with all other contexts, such as "Default_Organization@Default_Organization". It should say: 

"Any_Organization@Any_Location" instead....

Version-Release number of selected component (if applicable):

foreman-1.6.0.46-1.el6sat.noarch

How reproducible:

100&

Steps to Reproduce:

1. Using the org selector, set the organization to 'Any Organization'

2. Using the org selector, set the organization to 'Any Location'

Related issues:

Related to Foreman - Feature #8012: Provide a UI selector to set both 'Any Or... New 10/21/2014

History

#1 - 10/21/2014 11:34 AM - Dominic Cleal

- Related to Feature #8012: Provide a UI selector to set both 'Any Organization' & 'Any Location' added

#2 - 10/21/2014 11:34 AM - Dominic Cleal

- Category set to Organizations and Locations

#3 - 10/21/2014 11:34 AM - Dominic Cleal

- Subject changed from Inconsistent behavior of the Context Selector UI to Inconsistent display for "Any context" in Context Selector UI

#4 - 10/22/2014 07:52 AM - Sofia Adler

- File 0001-Replaces-Any-Context-w-Any_Org-Any_Loc.patch added

I must be overlooking something(?)

#5 - 10/22/2014 07:55 AM - Dominic Cleal

Looks correct!  Send it in as a pull request to our GitHub repo - more information at http://theforeman.org/contribute.html and https://help.github.com/

(if you're unfamiliar with the process).  Cheers.

#6 - 10/22/2014 08:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/1872 added

- Pull request deleted ()

#7 - 10/30/2014 08:52 AM - Daniel Lobato Garcia

Are we sure we want this? Any Organization@Any Location on the top bar makes the bar look very crowded and some buttons fall off in low

resolutions

#8 - 11/03/2014 02:28 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

As per the PR discussion.

Files

0001-Replaces-Any-Context-w-Any_Org-Any_Loc.patch 712 Bytes 10/22/2014 Sofia Adler
